#EXAMPLE WITH SENSITIVITY ANALYSIS 
library(lpSolve)
A<-matrix(c(2,1,2.5,5,1,3,2.5,0,10,5,2,12,1,0,0,0,0,0,1,0,0,0,0,1),nrow=6,byrow=TRUE) #matrix of the constraints
coef_obj<-c(40,24,36,23)
direction_rhs<-c("<=","<=","<=","<=","<=",">=")
beta_vec<-c(1200,1600,10000,200,160,100)
lp("max",coef_obj,A,direction_rhs,beta_vec) # optimal value of the objective function
lp("max",coef_obj,A,direction_rhs,beta_vec)$solution # optimal values of the variables

lp("max",coef_obj,A,direction_rhs,beta_vec, compute.sens=TRUE)$sens.coef.from #sensitivity coefficients lower bound
lp("max",coef_obj,A,direction_rhs,beta_vec, compute.sens=TRUE)$sens.coef.to #sensitivity coefficients upper bound

# Dual Values/ SHADOW PRICES (first dual of the constraints and then dual of the variables)
lp("max",coef_obj,A,direction_rhs,beta_vec, compute.sens=TRUE)$duals


# Duals/SHADOW PRICES lower and upper limits
lp("max", coef_obj,A,direction_rhs,beta_vec, compute.sens=TRUE)$duals.from
lp("max", coef_obj,A,direction_rhs,beta_vec, compute.sens=TRUE)$duals.to

